# Assassin
## BETA Release, almost everything is working, but there's still a little work to be done!
## Adds the Assassin from Realm of the Mad God as a playable character!

![Alt Text](https://cdn.discordapp.com/attachments/1072725460292730982/1097403192595198052/image.png "Assassin Loadout Display")

Any feed can be submitted to the discord; https://discord.gg/xpP6AgxWYG

![Alt Text](https://cdn.discordapp.com/attachments/1096872606675783883/1096877871932379347/asssassinBlur.png "Assassin Character Icon")

### Passive : Mad God's Rage
![Alt Text](https://cdn.discordapp.com/attachments/567832879879553037/1096867130395336704/MadGodsRage_Icon.png "Passive Icon")

Getting hit below 60% HP will increase your attack speed and damage by 7.5% per stack, for 3 seconds.

### Primary : Dagger
![Alt Text](https://cdn.discordapp.com/attachments/805290190280065067/1096243887607128156/Daggers_Skill_Render.png "Primary Icon")

Your primary skill as The Assassin is throwing daggers, dealing 150% damage on hit.

### Secondary : Poison
![Alt Text](https://cdn.discordapp.com/attachments/805290190280065067/1096279359972704376/Poison_Skill_Rende2r.png "Secondary Icon")

Your secondary skill as The Assassin is throwing poisons, dealing 250% damage on hit, and an additional 500% damage over time.

### Utility : Teleport
![Alt Text](https://cdn.discordapp.com/attachments/567832879879553037/1096867130626019448/Teleport_Skill_Icon.png "Utility Icon")

Your utility skill as The Assassin is throwing down a smoke bomb, then throwing out a teleportation potion, which teleports you to it's location on impact.

### Alternative Utility : Cloaking Roll
![Alt Text](https://cdn.discordapp.com/attachments/1096283275540037633/1096905811160215572/Cloaking_Roll_Skill_Icon.png "Alt Utility Icon")

Your alternate utility sill as The Assassin is cloaking before rolling a good distance. Under the influence of War Cry gives you the War Banner effect upon finishing the roll.

### Special : War Cry
![Alt Text](https://cdn.discordapp.com/attachments/567832879879553037/1096866307426766858/Warcry_Skill_Icon.png "Special Icon")

Your special skill as The Assassin is the War Cry, buffing yourself for 5 seconds, increasing the power of your other skills. While under the influence you throw 3 daggers in a tight spread, throw recursive poisons, and drop a real bomb out when you teleport.

---
# Credit & Thanks
Thanks to DotFlare for modeling, animating and texturing the assassin! (and weapons)
 - His discord tag : dotflare#7898
 - His twitter : https://twitter.com/dotflare3

Thanks to goodguy for making the skill icons for the passive, both utlities and special.
  - Their discord : goodguy#3899

Thanks to the RoR2 Modding Server for helping me with all my dumb questions!

## Known Issues
---
 * `The knives can hit eachother and stack hitboxes, rendering it impossible to hit an enemy.`


## Changelog
---
``1.1.1``
 * Fixed a typo on the README.

``1.1.0``
 * Added proper credit for artist and animators.
 * Added some sounds.
 * Updated character select icon to look more vanilla-like.
 * Finally fixed the vfx, they are now properly transparent and trail correctly. 
 * Added a thing so when taunting via EmoteAPI, it hides the knives.

``1.0.4``
 * Added support for EmoteAPI
 * Added proper animations, such as character select screen, etc.
 * Added alternate utility, Cloaking Roll
 * Fixed vfx not appearing. 
 * Once again attempted to fix poison DoT, again did not work.
 * Added proper skill icons for dagger and poison.
 * Fixed conflicting name bug.
 * Nerf War Cry duration, from 10 seconds to 20. It was a bit too spammable with ~50% uptime if you had perfect timing.
 * Updated icon

``1.0.3``
 * Added new placeholder icons for special, and passive.
 * Added default skin icon.
 * Increased poison cooldown from 2 -> 4.
 * Added vfx to help aid in seeing the projectiles when they're throwing.
 * Attempted to fix poison DoT not working properly, probably failed again. I haven't done a full run so I do not know if the scaling with increased damage properly works.
 * Added passive, Mad God's Rage.

``1.0.2``
 * Fixed image displays on README.md.
 * Changed poison projectile size.
 * Fixed a bug with Dagger, where crits would inflict hemmorage.
 * Updated Dagger VFX.
 * Removed double jump, as it felt very OP.
 * Added a proper selection icon, though it is temporary until a proper render can be made
 * Made projectiles spawn from the hands
 * Added proper animations
 * Removed poison flurry, replacing it with "War Cry". Poison flurry felt like a lame thing in general, and with animations it just looks goofy.

``1.0.1``
 * Added README.md

``1.0.0``
 * Uploaded to Thunderstore